ru.bitel.bgbilling.modules.inet.api.common.service

## Interface InetSessionService

-     @MTOM(enabled=true)
      public interface InetSessionService

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `connectionClose(int contractId, long connectionId)` Принудительное закрытие соединения
    `void` | `connectionClose(long connectionId)` Принудительное закрытие соединения
    `Pair<InetServ,InetConnection>` | `connectionFind(java.util.Set<java.lang.Integer> servIds, java.lang.String acctSessionId, java.lang.String address, java.lang.String login, java.lang.String callingStationId)` Поиск сервиса [0] и соединения [1] по указанным параметрам
    `void` | `connectionFinish(int contractId, long connectionId)` Принудительное завершение соединения.
    `void` | `connectionFinish(long connectionId)` Принудительное завершение соединения.
    `void` | `connectionRebind(long connectionId, int newContractId, int newServId, short newState, java.util.Set<java.lang.Integer> newOptionIds)` Перенос соединения на другой договор.
    `void` | `connectionsStop(int deviceId, long timeoutMinutes)` Закрытие всех соединений устройства, время активности которых lastActiveTime меньше чем now-timeoutMinutes.
    `java.util.List<TrafficAmount>` | `inetContractTraffic(int contractId, java.util.Set<java.lang.Integer> servIds, java.util.Date timeFrom, java.util.Date timeTo, java.util.Set<java.lang.Integer> requestTrafsIds, int unit, boolean byDay)`
    `TrafficAccountDetail` | `inetSessionAccountSums(int contractId, java.util.Collection<java.lang.Integer> inetServIds, Period period, java.util.Collection<java.lang.Integer> serviceIds, boolean isActive)`
    `Result<InetSessionLog>` | `inetSessionAliveContractList(int contractId, java.util.Set<java.lang.Integer> servIds, java.util.Date dateFrom, java.util.Date dateTo, java.util.Set<java.lang.Integer> trafficTypeIds, java.util.Set<java.lang.Integer> serviceIds, Page page)` Получение списка активных сессий для договора
    `Result<InetSessionLog>` | `inetSessionAliveList(java.util.Set<java.lang.Integer> deviceIds, java.util.Set<java.lang.Integer> contractIds, java.lang.String contract, java.lang.String login, java.lang.String ip, java.lang.String callingStation, java.util.Date timeFrom, java.util.Date timeTo, Page page)` Получение списка активных сессий
    `void` | `inetSessionDetail(long id, java.util.Date sessionStart, java.lang.String email)`
    `void` | `inetSessionExport(int contractId, java.util.Set<java.lang.Integer> servIds, java.util.Date dateFrom, java.util.Date dateTo, java.util.Set<java.lang.Integer> trafficTypeIds, java.util.Set<java.lang.Integer> serviceIds, Page page, javax.xml.ws.Holder<javax.activation.DataHandler> data, boolean alive, java.lang.String format)` Deprecated. Use `#inetSessionExport(int,Set,Date,Date,Set,Set,Page,Holder,boolean,String,String)` instead
    `void` | `inetSessionExport(int contractId, java.util.Set<java.lang.Integer> servIds, java.util.Date dateFrom, java.util.Date dateTo, java.util.Set<java.lang.Integer> trafficTypeIds, java.util.Set<java.lang.Integer> serviceIds, Page page, javax.xml.ws.Holder<javax.activation.DataHandler> data, boolean alive, java.lang.String format, java.lang.String orderBy, long unit)` Экспорт списка сессий в клиенте/вебе в html/csv.
    `void` | `inetSessionExportSendToEmail(int contractId, java.util.Set<java.lang.Integer> servIds, Period period, java.util.Set<java.lang.Integer> trafficTypeIds, java.util.Set<java.lang.Integer> serviceIds, boolean alive, java.lang.String format, java.lang.String orderBy, long unit, java.util.List<java.lang.String> emails)`
    `Result<InetSessionLog>` | `inetSessionLogContractList(int contractId, java.util.Set<java.lang.Integer> servIds, java.util.Date dateFrom, java.util.Date dateTo, java.util.Set<java.lang.Integer> trafficTypeIds, java.util.Set<java.lang.Integer> serviceIds, Page page)` Получение списка завершенных сессий для договора
    `void` | `inetSessionLogContractListExport(int contractId, java.util.Set<java.lang.Integer> servIds, java.util.Date dateFrom, java.util.Date dateTo, java.util.Set<java.lang.Integer> trafficTypeIds, java.util.Set<java.lang.Integer> serviceIds, javax.xml.ws.Holder<javax.activation.DataHandler> data)`
    `Result<InetSessionLog>` | `inetSessionLogList(java.util.Set<java.lang.Integer> deviceIds, java.util.Set<java.lang.Integer> contractIds, java.lang.String contract, java.lang.String login, java.lang.String ip, java.lang.String callingStation, java.util.Date timeFrom, java.util.Date timeTo, Page page)` Получение списка завершенных сессий
    `void` | `inetSessionPeriodDetail(int inetServId, java.util.Date dateFrom, java.util.Date dateTo, java.lang.String email)`
    `java.util.List<TrafficAmount>` | `inetSessionTraffic(int contractId, java.util.Set<java.lang.Integer> inetServIds, int sessionId, java.util.Set<java.lang.Integer> trafficTypeIds, java.util.Date dateFrom, java.util.Date dateTo, long unit, boolean byDay, boolean continuous)`
    `java.util.List<TrafficMaxDetailReport>` | `inetSessionTrafficMax(int contractId, java.util.Set<java.lang.Integer> inetServIds, java.util.Date dateFrom, java.util.Date dateTo, long unit)`
    `java.util.List<TrafficRangeDetailReport>` | `inetSessionTrafficRange(int contractId, int tariffOptionId, java.util.Date dateFrom, java.util.Date dateTo, long unit)`

- - ### Method Detail

    - #### inetSessionLogList

          Result<InetSessionLog> inetSessionLogList(java.util.Set<java.lang.Integer> deviceIds,
                                                    java.util.Set<java.lang.Integer> contractIds,
                                                    java.lang.String contract,
                                                    java.lang.String login,
                                                    java.lang.String ip,
                                                    java.lang.String callingStation,
                                                    java.util.Date timeFrom,
                                                    java.util.Date timeTo,
                                                    Page page)
                                             throws ru.bitel.bgbilling.common.BGException

      Получение списка завершенных сессий
      Parameters:
        `deviceIds` -
        `contractIds` -
        `contract` -
        `login` -
        `ip` -
        `callingStation` -
        `timeFrom` -
        `timeTo` -
        `page` -
      Returns:
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### inetSessionAliveList

          Result<InetSessionLog> inetSessionAliveList(java.util.Set<java.lang.Integer> deviceIds,
                                                      java.util.Set<java.lang.Integer> contractIds,
                                                      java.lang.String contract,
                                                      java.lang.String login,
                                                      java.lang.String ip,
                                                      java.lang.String callingStation,
                                                      java.util.Date timeFrom,
                                                      java.util.Date timeTo,
                                                      Page page)
                                               throws ru.bitel.bgbilling.common.BGException

      Получение списка активных сессий
      Parameters:
        `deviceIds` -
        `contractIds` -
        `contract` -
        `login` -
        `ip` -
        `callingStation` -
        `timeFrom` -
        `timeTo` -
        `page` -
      Returns:
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### inetSessionAliveContractList

          Result<InetSessionLog> inetSessionAliveContractList(int contractId,
                                                              java.util.Set<java.lang.Integer> servIds,
                                                              java.util.Date dateFrom,
                                                              java.util.Date dateTo,
                                                              java.util.Set<java.lang.Integer> trafficTypeIds,
                                                              java.util.Set<java.lang.Integer> serviceIds,
                                                              Page page)
                                                       throws ru.bitel.bgbilling.common.BGException

      Получение списка активных сессий для договора
      Parameters:
        `contractId` -
        `servIds` -
        `timeFrom` -
        `timeTo` -
        `trafficTypeIds` -
        `serviceIds` -
        `page` -
      Returns:
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### inetSessionLogContractList

          Result<InetSessionLog> inetSessionLogContractList(int contractId,
                                                            java.util.Set<java.lang.Integer> servIds,
                                                            java.util.Date dateFrom,
                                                            java.util.Date dateTo,
                                                            java.util.Set<java.lang.Integer> trafficTypeIds,
                                                            java.util.Set<java.lang.Integer> serviceIds,
                                                            Page page)
                                                     throws ru.bitel.bgbilling.common.BGException

      Получение списка завершенных сессий для договора
      Parameters:
        `contractId` -
        `servIds` -
        `dateFrom` -
        `dateTo` -
        `trafficTypeIds` -
        `serviceIds` -
        `page` -
      Returns:
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### connectionFinish

          @RequestWrapper(className="ru.bitel.bgbilling.modules.inet.api.common.service.jaxws.ConnectionFinishOldRequest")
           @ResponseWrapper(className="ru.bitel.bgbilling.modules.inet.api.common.service.jaxws.ConnectionFinishOldResponse")
          void connectionFinish(long connectionId)
                                                                                                                                                                                                                                                              throws ru.bitel.bgbilling.common.BGException

      Принудительное завершение соединения.
      Parameters:
        `connectionId` -
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### connectionFinish

          void connectionFinish(int contractId,
                                long connectionId)
                         throws ru.bitel.bgbilling.common.BGException

      Принудительное завершение соединения.
      Parameters:
        `connectionId` -
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### connectionClose

          @RequestWrapper(className="ru.bitel.bgbilling.modules.inet.api.common.service.jaxws.ConnectionCloseOldRequest")
           @ResponseWrapper(className="ru.bitel.bgbilling.modules.inet.api.common.service.jaxws.ConnectionCloseOldResponse")
          void connectionClose(long connectionId)
                                                                                                                                                                                                                                                           throws ru.bitel.bgbilling.common.BGException

      Принудительное закрытие соединения
      Parameters:
        `connectionId` -
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### connectionClose

          void connectionClose(int contractId,
                               long connectionId)
                        throws ru.bitel.bgbilling.common.BGException

      Принудительное закрытие соединения
      Parameters:
        `connectionId` -
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### inetSessionLogContractListExport

          void inetSessionLogContractListExport(int contractId,
                                                java.util.Set<java.lang.Integer> servIds,
                                                java.util.Date dateFrom,
                                                java.util.Date dateTo,
                                                java.util.Set<java.lang.Integer> trafficTypeIds,
                                                java.util.Set<java.lang.Integer> serviceIds,
                                                javax.xml.ws.Holder<javax.activation.DataHandler> data)
                                         throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### inetSessionExport

          @RequestWrapper(className="ru.bitel.bgbilling.modules.inet.api.common.service.jaxws.InetSessionExportOldRequest")
           @ResponseWrapper(className="ru.bitel.bgbilling.modules.inet.api.common.service.jaxws.InetSessionExportOldResponse")
           @Deprecated
          void inetSessionExport(int contractId,
                                                                                                                                                                                                                                                                                     java.util.Set<java.lang.Integer> servIds,
                                                                                                                                                                                                                                                                                     java.util.Date dateFrom,
                                                                                                                                                                                                                                                                                     java.util.Date dateTo,
                                                                                                                                                                                                                                                                                     java.util.Set<java.lang.Integer> trafficTypeIds,
                                                                                                                                                                                                                                                                                     java.util.Set<java.lang.Integer> serviceIds,
                                                                                                                                                                                                                                                                                     Page page,
                                                                                                                                                                                                                                                                                     javax.xml.ws.Holder<javax.activation.DataHandler> data,
                                                                                                                                                                                                                                                                                     boolean alive,
                                                                                                                                                                                                                                                                                     java.lang.String format)
                                                                                                                                                                                                                                                                              throws ru.bitel.bgbilling.common.BGException

      Deprecated. Use `#inetSessionExport(int,Set,Date,Date,Set,Set,Page,Holder,boolean,String,String)` instead
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### inetSessionExport

          void inetSessionExport(int contractId,
                                 java.util.Set<java.lang.Integer> servIds,
                                 java.util.Date dateFrom,
                                 java.util.Date dateTo,
                                 java.util.Set<java.lang.Integer> trafficTypeIds,
                                 java.util.Set<java.lang.Integer> serviceIds,
                                 Page page,
                                 javax.xml.ws.Holder<javax.activation.DataHandler> data,
                                 boolean alive,
                                 java.lang.String format,
                                 java.lang.String orderBy,
                                 long unit)
                          throws ru.bitel.bgbilling.common.BGException

      Экспорт списка сессий в клиенте/вебе в html/csv.
      Parameters:
        `contractId` - код договора, по которому идет выгрузка.
        `servIds` - набор уникальных кодов сервисов, сессии которых будут выгружаться.
        `dateFrom` - выгружаются сессии, начиная с dateFrom.
        `dateTo` - выгружаются сессии, не позднее dateTo.
        `trafficTypeIds` - список типов трафика.
        `serviceIds` - список услуг.
        `page` - параметры страницы: кол-во записей на листе и номер листа.
        `data` - "содержимое" выгружаемого файла.
        `alive` - true- выгружать активные сессии, false - выгружать завершенные сессии.
        `format` - формат выгрузки: csv или html.
        `orderBy` - порядок сортировки списка сервисов договора.
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### inetSessionExportSendToEmail

          void inetSessionExportSendToEmail(int contractId,
                                            java.util.Set<java.lang.Integer> servIds,
                                            Period period,
                                            java.util.Set<java.lang.Integer> trafficTypeIds,
                                            java.util.Set<java.lang.Integer> serviceIds,
                                            boolean alive,
                                            java.lang.String format,
                                            java.lang.String orderBy,
                                            long unit,
                                            java.util.List<java.lang.String> emails)
                                     throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### inetSessionDetail

          void inetSessionDetail(long id,
                                 java.util.Date sessionStart,
                                 java.lang.String email)
                          throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### inetSessionPeriodDetail

          void inetSessionPeriodDetail(int inetServId,
                                       java.util.Date dateFrom,
                                       java.util.Date dateTo,
                                       java.lang.String email)
                                throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### inetSessionTraffic

          java.util.List<TrafficAmount> inetSessionTraffic(int contractId,
                                                           java.util.Set<java.lang.Integer> inetServIds,
                                                           int sessionId,
                                                           java.util.Set<java.lang.Integer> trafficTypeIds,
                                                           java.util.Date dateFrom,
                                                           java.util.Date dateTo,
                                                           long unit,
                                                           boolean byDay,
                                                           boolean continuous)
                                                    throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### inetSessionTrafficMax

          java.util.List<TrafficMaxDetailReport> inetSessionTrafficMax(int contractId,
                                                                       java.util.Set<java.lang.Integer> inetServIds,
                                                                       java.util.Date dateFrom,
                                                                       java.util.Date dateTo,
                                                                       long unit)
                                                                throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### inetContractTraffic

          java.util.List<TrafficAmount> inetContractTraffic(int contractId,
                                                            java.util.Set<java.lang.Integer> servIds,
                                                            java.util.Date timeFrom,
                                                            java.util.Date timeTo,
                                                            java.util.Set<java.lang.Integer> requestTrafsIds,
                                                            int unit,
                                                            boolean byDay)
                                                     throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### inetSessionAccountSums

          TrafficAccountDetail inetSessionAccountSums(int contractId,
                                                      java.util.Collection<java.lang.Integer> inetServIds,
                                                      Period period,
                                                      java.util.Collection<java.lang.Integer> serviceIds,
                                                      boolean isActive)
                                               throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### inetSessionTrafficRange

          java.util.List<TrafficRangeDetailReport> inetSessionTrafficRange(int contractId,
                                                                           int tariffOptionId,
                                                                           java.util.Date dateFrom,
                                                                           java.util.Date dateTo,
                                                                           long unit)
                                                                    throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### connectionFind

          Pair<InetServ,InetConnection> connectionFind(java.util.Set<java.lang.Integer> servIds,
                                                       java.lang.String acctSessionId,
                                                       java.lang.String address,
                                                       java.lang.String login,
                                                       java.lang.String callingStationId)
                                                throws ru.bitel.bgbilling.common.BGException

      Поиск сервиса [0] и соединения [1] по указанным параметрам
      Parameters:
        `servId` - ID сервиса или 0
        `acctSessionId` - идентификатор соединения (Acct-Session-Id) или null
        `address` - IP-адрес
        `login` -
      Returns:
        массив [ inetServ, inetConnection ] или null, если соединение не найдено
      Throws:
        `java.sql.SQLException`
        `ru.bitel.bgbilling.common.BGException`
        `java.net.UnknownHostException`

    - #### connectionRebind

          void connectionRebind(long connectionId,
                                int newContractId,
                                int newServId,
                                short newState,
                                java.util.Set<java.lang.Integer> newOptionIds)
                         throws ru.bitel.bgbilling.common.BGException

      Перенос соединения на другой договор. Например, с фиктивного договора неавторизованных сессий на договор абонента.
      Parameters:
        `connectionId` - текущее ID соединения
        `newContractId` - ID нового договора
        `newServId` - ID нового сервиса договора
        `newState` - текущее состояние новой сессии
        `newOptionIds` - текущий набор опций новой сессии
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### connectionsStop

          void connectionsStop(int deviceId,
                               long timeoutMinutes)
                        throws ru.bitel.bgbilling.common.BGException

      Закрытие всех соединений устройства, время активности которых lastActiveTime меньше чем now-timeoutMinutes.
      Parameters:
        `deviceId` -
        `timeoutMinutes` -
      Throws:
        `ru.bitel.bgbilling.common.BGException`